Bug 1762976

Summary: Drop apt-rpm from Fedora?
Product: [Fedora] Fedora Reporter: Sergio Basto <sergio>
Component: aptAssignee: Neal Gompa <ngompa13>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: axel.thimm, dridi.boukelmoune, itamar, moceap, ngompa13
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-12-17 03:28:05 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 228427, 428857, 447284, 495633, 512518    
Bug Blocks: 1764813, 1784249    

Description Sergio Basto 2019-10-17 23:27:21 UTC
Description of problem:

As we can read in lot of bug reports that support my request 
apt-rpm doesn't work since some time ... 

I also  would like retire Fedora-package-config-apt [1]  

And I'd like pack apt of Debian [2]


[1]
https://bugzilla.redhat.com/show_bug.cgi?id=1462485

[2]
https://copr.fedorainfracloud.org/coprs/sergiomb/debs/package/apt/

Comment 1 Sergio Basto 2019-10-17 23:33:33 UTC
(In reply to Dridi Boukelmoune from comment #32)
> Hi Sergio, as stated in bug 228427 we share the same intention. I'm OK with
> recycling this bug report for your needs, I will also contact you offline to
> coordinate this change.

I'd like that you run fedpkg retire on master of apt and add me as admin of this package please .

After or at same time I can do review request like https://bugzilla.redhat.com/show_bug.cgi?id=1678623 and add new apt in Fedora repos

Comment 2 Sergio Basto 2019-10-22 01:55:30 UTC
apt is ready for review [1] 

[1] 
https://bugzilla.redhat.com/show_bug.cgi?id=1763931

Comment 3 Sergio Basto 2019-11-20 02:01:34 UTC
Hi,

Dridi , package is approved https://bugzilla.redhat.com/show_bug.cgi?id=1764813 , we can proceed .

I liked your https://fedoraproject.org/wiki/Changes/Move_apt_package_from_RPM_to_DPKG_backend , please add me , I'd like to be part of it . 

I also would like review more Debian tools package ? . I already update dpkg , and start add some package to epel8

Comment 4 Sergio Basto 2019-11-23 03:45:11 UTC
Hello,

On my copr repo [1] I'm building all new Debian packages on stable repos, I plan have all packages updated only rawhide ready to test on F30, I will add the packages under review,  I also have more packages to add like dh_python. You are invited to do some builds in my repo, you just have to ask permissions ! [2] . 

Best regards,


[1]
https://copr.fedorainfracloud.org/coprs/sergiomb/debs

[2]
https://copr.fedorainfracloud.org/coprs/sergiomb/debs/permissions/